## swipe-away-bin

swipe-away-bin

## Functions

gboolean | phosh_swipe_away_bin_get_allow_negative ()
void | phosh_swipe_away_bin_set_allow_negative ()
gboolean | phosh_swipe_away_bin_get_reserve_size ()
void | phosh_swipe_away_bin_set_reserve_size ()
void | phosh_swipe_away_bin_hide ()
void | phosh_swipe_away_bin_reveal ()
void | phosh_swipe_away_bin_remove ()
void | phosh_swipe_away_bin_undo ()

## Properties

gboolean | allow-negative | Read / Write
gboolean | reserve-size | Read / Write

## Signals

void | removed | Run Last

## Types and Values

#define | PHOSH_TYPE_SWIPE_AWAY_BIN
| PhoshSwipeAwayBin

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkEventBox
                            ╰── PhoshSwipeAwayBin

## Implemented Interfaces

PhoshSwipeAwayBin implements AtkImplementorIface, GtkBuildable, GtkOrientable and HdySwipeable.

## Description

## Functions

### phosh_swipe_away_bin_get_allow_negative ()

    gboolean
    phosh_swipe_away_bin_get_allow_negative
                                   (PhoshSwipeAwayBin *self);

### phosh_swipe_away_bin_set_allow_negative ()

    void
    phosh_swipe_away_bin_set_allow_negative
                                   (PhoshSwipeAwayBin *self,
                                    gboolean allow_negative);

### phosh_swipe_away_bin_get_reserve_size ()

    gboolean
    phosh_swipe_away_bin_get_reserve_size (PhoshSwipeAwayBin *self);

### phosh_swipe_away_bin_set_reserve_size ()

    void
    phosh_swipe_away_bin_set_reserve_size (PhoshSwipeAwayBin *self,
                                           gboolean reserve_size);

### phosh_swipe_away_bin_hide ()

    void
    phosh_swipe_away_bin_hide (PhoshSwipeAwayBin *self);

### phosh_swipe_away_bin_reveal ()

    void
    phosh_swipe_away_bin_reveal (PhoshSwipeAwayBin *self);

### phosh_swipe_away_bin_remove ()

    void
    phosh_swipe_away_bin_remove (PhoshSwipeAwayBin *self);

### phosh_swipe_away_bin_undo ()

    void
    phosh_swipe_away_bin_undo (PhoshSwipeAwayBin *self);

## Types and Values

### PHOSH_TYPE_SWIPE_AWAY_BIN

    #define PHOSH_TYPE_SWIPE_AWAY_BIN (phosh_swipe_away_bin_get_type())

### PhoshSwipeAwayBin

    typedef struct _PhoshSwipeAwayBin PhoshSwipeAwayBin;

## Property Details

### The `“allow-negative”` property

      “allow-negative”           gboolean

Use [-1:1] progress range instead of [0:1].

Owner: PhoshSwipeAwayBin

Flags: Read / Write

Default value: FALSE

### The `“reserve-size”` property

      “reserve-size”             gboolean

Allocate larger size than the child so that the child is never clipped when animating.

Owner: PhoshSwipeAwayBin

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“removed”` signal

    void
    user_function (PhoshSwipeAwayBin *phoshswipeawaybin,
                   gpointer           user_data)

Flags: Run Last